LayoutGroup (install4j API)
Date: 2010-09-29

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.formcomponents
Interface LayoutGroup

    public interface LayoutGroup

Represents a layout group for form components. Instances of this interface are contained in the list that is returned by `FormEnvironment.getFormComponentTree()`.

Method Summary
`java.util.List` | `getChildren()` Get the children of this layout group.
`GroupType` | `getGroupType()` Returns the type of the layout group
`java.lang.String` | `getId()` Get the ID that the framework associates with this layout group.
`boolean` | `isVisible()` Returns whether the layout group is visible or not.
`void` | `setEnabled(boolean enabled)` Sets whether contained form components are enabled or not.
`void` | `setVisible(boolean visible)` Sets whether the layout group is visible or not.

Method Detail

### getGroupType

    GroupType getGroupType()

  Returns the type of the layout group

  Returns:
    the type

### setEnabled

    void setEnabled(boolean enabled)

  Sets whether contained form components are enabled or not. See `FormComponent.setEnabled(boolean)` for more information. All descendant form components are affected.

  Parameters:
    `enabled` - whether to enable the descendant form components or not

### setVisible

    void setVisible(boolean visible)

  Sets whether the layout group is visible or not.

  There is no corresponding `isVisible`method, because the state of the contained form components may be mixed.``

  Parameters:
    `visible` - whether this layout group should be visible or not
  See Also:
    `FormComponent.setVisible(boolean)`, `isVisible()`

### isVisible

    boolean isVisible()

  Returns whether the layout group is visible or not.

  Returns:
    `true` or `false`.
  See Also:
    `setVisible(boolean)`

### getId

    java.lang.String getId()

  Get the ID that the framework associates with this layout group. You can get layout groups by ID with `FormEnvironment.getLayoutGroupById(String)`.

  Returns:
    the ID

### getChildren

    java.util.List getChildren()

  Get the children of this layout group. The returned list has contents of the same form as `FormEnvironment.getFormComponentTree()`.

  Returns:
    a list with the next level of form components and layout groups that are children of this layout group

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD